routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::namespace('Admin')->group(function () {

    Route::redirect('admin', 'admin/login');
    Route::get('admin/login', 'AdminLoginController@showLoginForm')->name('admin.login');
    Route::post('admin/login', 'AdminLoginController@login')->name('admin.login');
    Route::get('admin/logout', 'AdminLoginController@logout')->name('admin.logout');

    Route::group(['middleware' => ['auth:admin']], function () {
        Route::get('admin/dashboard', 'DashboardController@index')->name('admin.dashboard');

        Route::resource('admin/users', AdminUserController::class);

        Route::resource('admin/sellers', SellerController::class);

        Route::resource('admin/brands', BrandController::class);

        Route::resource('admin/products', ProductController::class);

        Route::resource('admin/promotions', PromotionController::class);

        Route::resource('admin/orders', OrderController::class);

        Route::resource('admin/settles', SettleController::class);

        Route::get('admin/settings', 'SettingController@index')->name('admin.settings');

    });
});

routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::group(['middleware' => []], function () {
    Route::get('/', 'DashboardController@home')->name('home');
    Route::get('/dashboard', 'DashboardController@dashboard')->name('dashboard');
    // Product  
    Route::get('/product', 'DashboardController@product')->name('product');
    Route::get('/product/search', 'DashboardController@productSearch')->name('product.search');
    Route::get('/product/detail', 'DashboardController@productDetail')->name('product.detail');
    Route::get('/product/create', 'DashboardController@productCreate')->name('product.create');

    // Branch
    Route::get('/branch', 'DashboardController@branch')->name('branch');

    // Promotion
    Route::get('/promotion', 'DashboardController@promotion')->name('promotion');
    Route::get('/promotion/detail', 'DashboardController@promotionDetail')->name('promotion.detail');


});

Route::get('/cart', function () {
    return view('frontend.cart.index');
});
Route::get('/cart/detail', function () {
    return view('frontend.cart.detail');
});

Route::get('/order', function () {
    return view('frontend.order.index');
});
Route::get('/order/detail', function () {
    return view('frontend.order.detail');
});

Route::get('/delivery', function () {
    return view('frontend.delivery.index');
});
Route::get('/delivery/detail', function () {
    return view('frontend.delivery.detail');
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

resources/views/admin/user/datatable/actions.blade.php
<div class="table-actions">

    <a href="{{ route('users.edit', $item->id) }}" class="btn btn-icon btn-sm btn-primary" data-toggle="tooltip" data-original-title="edit"><i class="fa fa-edit"></i></a>

    <a href="#" class="btn btn-icon btn-sm btn-danger deleteDialog" data-toggle="tooltip" data-section="{{ route('users.destroy', $item->id) }}" role="button" data-original-title="delete" >
        <i class="fa fa-trash"></i>
    </a>
</div>

resources/views/admin/user/datatable/modal.blade.php
<div class="modal fade modal-confirm-delete" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header bg-danger">
                <h4 class="modal-title"><i class="til_img"></i><strong>Confirm delete</strong></h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    <span aria-hidden="true">×</span>
                </button>
            </div>

            <div class="modal-body with-padding">
                <div>Do you really want to delete this record?</div>
            </div>

            <div class="modal-footer">
                <button class="float-left btn btn-warning" data-dismiss="modal">Cancel</button>
                <button class="float-right btn btn-danger delete-crud-entry">Delete</button>
            </div>
        </div>
    </div>
</div>
<!-- end Modal -->